package com.tenlionsoft.aimz_k.model

import androidx.annotation.IntDef
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_FROM_OTHER_FILE
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_FROM_OTHER_IMG
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_FROM_OTHER_MOVIE
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_FROM_OTHER_TXT
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_FROM_OTHER_VOICE
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_SEND_FAIL
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_SEND_ING
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_SEND_SUCCESS
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_TO_OTHER_FILE
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_TO_OTHER_IMG
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_TO_OTHER_MOVIE
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_TO_OTHER_TXT
import com.tenlionsoft.aimz_k.model.MsgTypeStateEnum.MSG_TO_OTHER_VOICE

object MsgTypeStateEnum {
    const val MSG_TO_OTHER_TXT: Int = 110 //     * 110 我发给其他人的文本信息
    const val MSG_FROM_OTHER_TXT: Int = 111 //     * 111 其他人发送给我的文本信息
    const val MSG_TO_OTHER_VOICE: Int = 121 //     * 121 我发送给其他人语音信息
    const val MSG_FROM_OTHER_VOICE: Int = 122 //     * 122 其他人发送给我的语音信息
    const val MSG_TO_OTHER_IMG: Int = 131 //     * 131 我发给其他人的图片信息
    const val MSG_FROM_OTHER_IMG: Int = 132 //     * 132 其他人发送给我的图片信息
    const val MSG_TO_OTHER_MOVIE: Int = 141 //     * 141 我发送给其他人的视频信息
    const val MSG_FROM_OTHER_MOVIE: Int = 142 //     * 142 其他人发送给我的视频信息
    const val MSG_TO_OTHER_FILE: Int = 151 //     * 151 我发送给其他人的文件信息
    const val MSG_FROM_OTHER_FILE: Int = 152 //     * 152 其他人发送给我的文件信息
    const val MSG_TO_OTHER_HREF: Int = 161 //     * 161 我发送给其他人的文件信息
    const val MSG_FROM_OTHER_HREF: Int = 162 //     * 162 其他人发送给我的文件信息
    const val MSG_SEND_ING: Int = 1001//11  //发送中
    const val MSG_SEND_FAIL: Int = 1002//12  //发送失败
    const val MSG_SEND_SUCCESS: Int = 1003////发送成功

}

@Target(AnnotationTarget.TYPE, AnnotationTarget.VALUE_PARAMETER)
@IntDef(
    MSG_TO_OTHER_TXT,
    MSG_FROM_OTHER_TXT,
    MSG_TO_OTHER_FILE,
    MSG_TO_OTHER_IMG,
    MSG_TO_OTHER_MOVIE,
    MSG_TO_OTHER_VOICE,
    MSG_FROM_OTHER_VOICE,
    MSG_FROM_OTHER_IMG,
    MSG_FROM_OTHER_MOVIE,
    MSG_FROM_OTHER_FILE,
    MSG_SEND_ING,
    MSG_SEND_FAIL,
    MSG_SEND_SUCCESS
)
@Retention(AnnotationRetention.SOURCE)
annotation class MsgState